Lua_FuncPreviewTipsWindow = class("Lua_FuncPreviewTipsWindow", Lua_Window)
function Lua_FuncPreviewTipsWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_FuncPreviewTipsWindow"
	self.skinName = "FuncPreviewTipsWindow_skin"
	self.showBlackMask = true
	self.isClickClose = true
end

function Lua_FuncPreviewTipsWindow:buildShowItem()
	self:superCall("buildShowItem")
end

function Lua_FuncPreviewTipsWindow:dispose()
	self:superCall("dispose")
end

function Lua_FuncPreviewTipsWindow:showWin(param)
	if param == self.showData then
		return
	end
	self:superCall("showWin", param)

	Lua_ProxyManager.getProxy("Lua_MainViewProxy"):sFuncOpenTipsClose(param)
	local vo = DataCenter.funcOpenUtil:getFuncOpenVoById(param)
	self.funcTitle:setAltas("func_preview_atlas", vo.tips_title)
	self.funcTitle:resetSize()
	self.promptText.text = vo.tips_des
end